%define oname   mysql

Name:       ruby-%{oname}
Version:    2.8.1
Release:    %mkrel 15
Summary:    This is the MySQL API module for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        http://mysql-win.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: mysql-devel
BuildRequires: rubygem(minitest)
BuildRequires: mysql

%description
This is the MySQL API module for Ruby. It provides the same functions for
Ruby
programs that the MySQL C API provides for C programs.
This is a conversion of tmtm's original extension into a proper RubyGems.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/mysql_api.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%check
mysql_install_db --datadir=$PWD/var/lib/mysql/ --user=$USER
/usr/sbin/mysqld --datadir=$PWD/var/lib/mysql \
  --socket $PWD/var/lib/mysql.sock \
  --pid-file $PWD/var/lib/mysqld.pid &
export MYSQL_SOCK=$PWD/var/lib/mysql.sock
sleep 10
ruby -I%{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
 -I%{buildroot}%{ruby_sitearchdir} test/test_mysql.rb
kill `cat $PWD/var/lib/mysqld.pid`


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.8.1-15.mga3
+ Revision: 396193
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.8.1-14.mga3
+ Revision: 381128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.8.1-13.mga3
+ Revision: 313405
- set doc as noarch package

* Sat Nov 03 2012 fwang <fwang> 2.8.1-12.mga3
+ Revision: 313400
- test ruby
- rebuild for new ruby

* Sat Apr 09 2011 shikamaru <shikamaru> 2.8.1-11.mga1
+ Revision: 82549
- rebuild for new mysql

* Thu Mar 24 2011 dmorgan <dmorgan> 2.8.1-10.mga1
+ Revision: 77050
- Rebuild against new mysql

* Tue Jan 25 2011 shikamaru <shikamaru> 2.8.1-9.mga1
+ Revision: 39603
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 2.8.1-8.mga1
+ Revision: 34797
- Start a mysql instance for the test
  FIXME: the sleep time is arbitrary
- imported package ruby-mysql

